Subject: Re: [PATCH] doc: add some crossrefs between manual pages

From: Junio C Hamano <[email-masked]>
Date: Wed, 12 Nov 2014 13:07:13 -0800

Junio C Hamano <[email-masked]> writes:

> Max Horn <[email-masked]> writes:
>
>> On 11.11.2014, at 23:51, Junio C Hamano <[email-masked]> wrote:
>> ...
>>>> +linkgit:git-fast-import[1]
>>> 
>>> This looks somewhat out of place; fast-import is not the only or
>>> even the primary way to do a remote-helper, is it?
>>
>> It depends on how you look at it, I'd say. If you write a remote-helper that
>> uses the import/export feature, it is absolutely vital.  All remote helpers
>> I ever worked on are of that kind, so to me it is the primary way ;-),
>> although of course I realize there are others. So, how would you determine
>> which of the various methods is the "primary" one?
>
> You don't.  If there exists no clear "primary" one, you do not have
> to designate a random one as the "primary".
>
> I just thought that these references are to related/relevant pages
> in the same family of commands, and not a place to list possible
> implementation technologies.  We do not say "see also libcurl" only
> because we have the curl-based remote helper that almost everybody
> uses to interact with other repositories over https:// URLs here,
> and do not list send-pack or receive-pack, even though the pair
> would be a natural way to implement 'fetch' and 'push' methods to a
> helper to interact with a native Git repository, either.

Sorry, the final paragraph did not make it for some reason, which
read like this:

    Having said that, we do seem to refer to fast-import quite
    extensively in the text of this manual page, so I think it is good
    to have a reference to its documentation at the bottom.

So I am OK to special case fast-import and single it out as a
notable implementation technology, which is what your patch does.

Thanks.